<p align="center">
<img src="https://raw.githubusercontent.com/mohakapt/Stringz/main/Resources/app_icon.svg">
</p>

<p align="center"><i>It is Strings but with a Z 😬</i></p>

<p align="center">
  <a href="https://github.com/mohakapt/Stringz/releases">
    <img src="https://img.shields.io/github/v/release/mohakapt/stringz?label=version" alt="Latest Version">
  </a>

  <img src="https://img.shields.io/badge/platform-macOS-yellow" alt="" >

  <a href="https://twitter.com/intent/follow?screen_name=stringz_app">
    <img src="https://img.shields.io/twitter/follow/stringz_app?style=social&logo=twitter" alt="follow on Twitter">
  </a>
</p>


![Stingz](https://raw.githubusercontent.com/mohakapt/Stringz/main/Resources/hero_image.png)
<p align="center"><i>Loved the project? Please share it with your friends and give it a ⭐️</i></p>

> Stringz is a lightweight and powerful editor that makes localizing your iOS app easy and fast.


<h2 id='section_description'>
✏️ Description
</h2>

Stringz greatly simplifies localizing your Xcode apps (iOS, macOS, tvOS, and watchOS) by introducing a powerful editor for all localizable files in your project.
It even imports strings from storyboard and xib files saving you a lot of time and effort finding and matching elementIds in your storyboards.
Stringz also supports localizing your Info.plist file so you can easily translate your app name and permission descriptions.

Stringz will also highlight missing translations and warn you about duplicate values and has many more useful features that take a painful and tedious task like localizing your app and convert it to an easy and simple task.


<h2 id='section_features'>
✨ Features
</h2>

* ✅ Automatically finds localizable files in an Xcode project.
* ✅ Displays translations in a table side by side and highlights missing values.
* ✅ Supports all kinds of localizable files like .strings, .storyboard, .xib and .plist.
* ✅ Supports adding new languages and localizing unlocalized files.
* ✅ Easy to use and mac in its core.
* ✅ Continuously being improved and updated.


<h2 id='section_table_of_contents'>
🚧 Table of Contents
</h2>

- [🚀 Motivation](#section_motivation)
- [⬇️ Installation](#section_installation)
- [🔌 Usage](#section_usage)
- [🤝 Contributing](#section_contributing)
- [💡 FAQ](#section_faq)
- [⚒️ Dependencies](#section_dependencies)
- [👍 Support](#section_support)
- [📝 License](#section_license)


<h2 id='section_motivation'>
🚀 Motivation
</h2>


<h2 id='section_installation'>
⬇️ Installation
</h2>

1. Go to the [releases](https://github.com/mohakapt/Stringz/releases) page for this repository.
1. Download the latest version of the app from the assets section. (It should be named something like Stringz-x.x.x.dmg).
1. Open the downloaded file and drag the app to your Applications folder.
1. The application doesn't have an auto-update feature (yet), so make sure to occasionally check this GitHub repository for new releases.


<h2 id='section_usage'>
🔌 Usage
</h2>

Open the application and select your Xcode project (.xcodeproj) in the open dialog, Stringz will then automatically crawl your project, find localizable files, and display them in the sidebar. Select a localizable file from the sidebar to view its contents. From there you can add/delete/update strings and add new languages.

Stringz also supports Undo/Redo feature so you don't have to worry about making mistakes while working just hit Ctrl+Z to take your last action back.

The application has an autosave feature so it will automatically save your changes as you make them (You can also disable this feature from preferences if you don't want Xcode to reload every time you update a string).

The preferences window also contains some useful options regarding importing and exporting localizable files to your project. So I would strongly advise you to check app preferences out.

There is a sample app included in this repository, Stringz was heavily tested with this sample app, So I encourage you to download the sample app and run Stringz on it to examine how Stringz should normally work, If you encounter an unexpected behavior with your own project please consider submitting an [issue](https://github.com/mohakapt/Stringz/issues) and I'll make sure to fix it as quickly as possible.


<h2 id='section_contributing'>
🤝 Contributing
</h2>

This project is open-source, so you're more than welcomed to contribute to the development of the project. A great way to help to push this project forward is to download it and test it on your applications then submit an [issue](https://github.com/mohakapt/Stringz/issues) about any bugs, crashes or any unexpected behaviors you might encounter, Also suggestions and feature requests are super welcomed. If you have the time and energy please consider making a pull request and I'll work with you to improve the app (working with people gives me the motivation to keep improving) and if you encounter some kind of inconvenience please don't give up on the application, submit an [issue](https://github.com/mohakapt/Stringz/issues) and help make this project better.


<h2 id='section_faq'>
💡 FAQ
</h2>


<h2 id='section_dependencies'>
⚒️ Dependencies
</h2>

Stringz uses `XcodeEditor` to open Xcode projects and browse their contents.


<h2 id='section_support'>
👍 Support
</h2>

If you find a bug in the app please submit an [issue](https://github.com/mohakapt/Stringz/issues) and I'll make sure to fix it as quickly as possible.

If you need support or have questions/feature requests regarding the app you can mention [@stringz_app](https://twitter.com/intent/tweet?text=@stringz_app) in a tweet or send me an [email](mailto:mohakapt@gmail.com) and I'll be happy to respond.

Also, don't forget to follow [@stringz_app](https://twitter.com/intent/follow?screen_name=stringz_app) on Twitter to get the latest news regarding Stringz App. Thanks!


<h2 id='section_license'>
📝 License
</h2>
